<h1 class="wp-heading-inline"><div class="gls_logo gls_logo_header"><img src="<?=$uri?>images/logo-gls.png"></div><?=esc_html( get_admin_page_title())?></h1>
<div class="wrap gls-config">
    <form method="post">        
        <fieldset>
            <h2><?=__('Configuración general', 'woocommerce-gls-envios')?></h2>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>guid"><?=__('GUID', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>guid" id="<?=GLS_Settings::$prefix?>guid" value="<?=(!empty($guid = get_option(GLS_Settings::$prefix . 'guid')) ? $guid : GLS_Settings::get_guid())?>" class="regular-text">
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>wsdl"><?=__('Webservices URL', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>wsdl" id="<?=GLS_Settings::$prefix?>url" value="<?=(!empty($wsdl = get_option(GLS_Settings::$prefix . 'wsdl')) ? $wsdl : GLS_Settings::get_wsdl())?>" class="regular-text">
                    <p class="description"><?=__('URL del servicio web de GLS. Por defecto: https://www.asmred.com/websrvs/ecm.asmx?wsdl', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
<?php if ($openCarrier): ?>
			<div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>default_service"><?=__('Servicio por defecto', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <select name="<?=GLS_Settings::$prefix?>default_service" id="<?=GLS_Settings::$prefix?>default_service">
                        <option value="">-</option>
						<?php
						foreach ($validServices as $tag => $vservice){
							if ($tag == 'parcelshopgls') continue;
							echo '<option value="'.$tag.'"'.(get_option(GLS_Settings::$prefix . 'default_service') == $tag ? 'selected="selected"' : '').'>'.$vservice['name'].'</option>';
						}
						?>
                    </select>
                    <p class="description">
                        <?=__('Indique servicio por defecto en generación masiva de envíos.', 'woocommerce-gls-envios')?>
                    </p>
                </div>
            </div>
<?php endif; ?>
			<div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>total_taxes"><?=__('Total con impuestos', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                  <input type="checkbox" name="<?=GLS_Settings::$prefix?>total_taxes" id="<?=GLS_Settings::$prefix?>total_taxes" value="1" <?=((int)get_option(GLS_Settings::$prefix . 'total_taxes') == 1 ? 'checked="checked"' : '')?>>
                  <p class="description"><?=__('Marque la casilla si desea que el calculo para la tarificación del total del pedido incluya impuestos.', 'woocommerce-gls-envios')?></p>
				</div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>weight"><?=__('Peso', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>weight" id="<?=GLS_Settings::$prefix?>weight" value="<?=get_option(GLS_Settings::$prefix . 'weight')?>" class="regular-text">
                    <p class="description"><?=__('Si desea que el cálculo del peso del envío se calcule de forma automática en base al sumatorio del peso de los productos que lo conforman según su definición en la base de datos de productos, deje este campo vacío. Si quiere poder modificar el peso de un pedido previo a su envío, defina un peso por defecto (en Kg).', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>packages_mode"><?=__('Bultos por envío', 'woocommerce-gls-envios');?>:</label>
                <div class="gls-input">
                    <div class="radio">
                        <label>
                            <input type="radio" name="<?=GLS_Settings::$prefix?>packages_mode" id="<?=GLS_Settings::$prefix?>packages_mode_0" value="0" <?=((int)get_option(GLS_Settings::$prefix . 'packages_mode') == 0 ? 'checked="checked"' : '' ); ?>>
                            <?=__('Fijo', 'woocommerce-gls-envios');?>
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" name="<?=GLS_Settings::$prefix?>packages_mode" id="<?=GLS_Settings::$prefix?>packages_modes_1" value="1" <?=((int)get_option(GLS_Settings::$prefix . 'packages_mode') == 1 ? 'checked="checked"' : '' ); ?>>
                            <?=__('Variable', 'woocommerce-gls-envios');?>
                        </label>
                    </div>
                    <p class="description"><?=__('Configuración de bultos por envío fijo o variable según numero de artículos.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>packages"><?=__('Número de bultos (fijo)', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>packages" id="<?=GLS_Settings::$prefix?>packages" value="<?=get_option(GLS_Settings::$prefix . 'packages')?>" class="regular-text">
                    <p class="description"><?=__('Indique el número de bultos.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>items"><?=__('Número de artículos por bultos (variable)', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>items" id="<?=GLS_Settings::$prefix?>items" value="<?=get_option(GLS_Settings::$prefix . 'items')?>" class="regular-text">
                    <p class="description"><?=__('Indique el número de artículos por bulto.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>return"><?=__('Retorno', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <select name="<?=GLS_Settings::$prefix?>return" id="<?=GLS_Settings::$prefix?>return">
                        <?php foreach (GLS_Settings::getOptions('return') as $value => $desc ) { ?>
                            <option value="<?=$value?>" <?=(get_option(GLS_Settings::$prefix . 'return') == $value ? 'selected="selected"' : '')?>><?=$desc?></option>
                        <?php } ?>
                    </select>
                    <p class="description">
                        <?=__('Indique Retorno.', 'woocommerce-gls-envios')?>
                    </p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>rcs"><?=__('RCS', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="checkbox" name="<?=GLS_Settings::$prefix?>rcs" id="<?=GLS_Settings::$prefix?>rcs" value="1" <?=((int)get_option(GLS_Settings::$prefix . 'rcs') == 1 ? 'checked="checked"' : '')?>>
                    <p class="description"><?=__('Indique RCS (Retorno Copia Sellada).', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>origin"><?=__('Dpto. origen', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>origin" id="<?=GLS_Settings::$prefix?>origin" value="<?=get_option(GLS_Settings::$prefix . 'origin')?>" class="regular-text">
                    <p class="description"><?=__('Indique el departamento de origen.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>insured"><?=__('Valor asegurado', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>insured" id="<?=GLS_Settings::$prefix?>insured" value="<?=get_option(GLS_Settings::$prefix . 'insured')?>" class="regular-text">
                    <p class="description"><?=__('Indique el valor asegurado.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>incoterm"><?=__('Incoterm', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <select name="<?=GLS_Settings::$prefix?>incoterm" id="<?=GLS_Settings::$prefix?>incoterm" class="fixed-width-xl">
                        <option value="0" selected="selected">-</option>
                        <?php foreach (GLS_Settings::getOptions('incoterm') as $value => $desc ) { ?>
                            <option value="<?=$value?>" <?=(get_option(GLS_Settings::$prefix . 'incoterm') == $value ? 'selected="selected"' : '')?>><?=$desc?></option>
                        <?php } ?>                    
                    </select>
                    <p class="description"><?=__('Incoterm que será usado en caso de envíos destino fuera de la UE con el servicio Eurobusiness Parcel.No tiene efecto para envíos nacionales e internacionales destino UE.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>            
        </fieldset>
        <fieldset>
            <h2><?=__('Remitente', 'woocommerce-gls-envios')?></h2>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>sender_name"><?=__('Nombre', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>sender_name" id="<?=GLS_Settings::$prefix?>sender_name" value="<?=get_option(GLS_Settings::$prefix . 'sender_name')?>" class="regular-text" required="required" >
                    <p class="description"><?=__('Indique el nombre de remitente.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>sender_address"><?=__('Dirección', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>sender_address" id="<?=GLS_Settings::$prefix?>sender_address" value="<?=get_option(GLS_Settings::$prefix . 'sender_address')?>" class="regular-text" required="required" >
                    <p class="description"><?=__('Indique la dirección de remitente.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>sender_postal_code"><?=__('Código postal', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>sender_postal_code" id="<?=GLS_Settings::$prefix?>sender_postal_code" value="<?=get_option(GLS_Settings::$prefix . 'sender_postal_code')?>" class="regular-text" required="required" >
                    <p class="description"><?=__('Indique el código postal de remitente.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>sender_city"><?=__('Población', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="text" name="<?=GLS_Settings::$prefix?>sender_city" id="<?=GLS_Settings::$prefix?>sender_city" value="<?=get_option(GLS_Settings::$prefix . 'sender_city')?>" class="regular-text" required="required" >
                    <p class="description"><?=__('Indique la población de remitente.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>sender_country"><?=__('País', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <select name="<?=GLS_Settings::$prefix?>sender_country" id="<?=GLS_Settings::$prefix?>sender_country" class="fixed-width-xl" required="required" >
                        <option value="" selected="selected">-</option>
                        <?php foreach (GLS_Settings::getOptions('country_origin') as $value => $desc ) { ?>
                            <option value="<?=$value?>" <?=(get_option(GLS_Settings::$prefix . 'sender_country') == $value ? 'selected="selected"' : '')?>><?=$desc?></option>
                        <?php } ?>                    
                    </select>
                    <p class="description"><?=__('Indique el país de remitente.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
        </fieldset>
        <fieldset>
            <h2><?=__('Estados de pedidos')?></h2>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>order_state_sended"><?=__('Enviado', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <select name="<?=GLS_Settings::$prefix?>order_state_sended" id="<?=GLS_Settings::$prefix?>order_state_sended" class="fixed-width-xl">
                        <option value="0" selected="selected">-</option>
                        <?php foreach (GLS_Settings::getOptions('order_statuses') as $value => $desc ) { ?>
                            <option value="<?=$value?>" <?=(get_option(GLS_Settings::$prefix . 'order_state_sended') == $value ? 'selected="selected"' : '')?>><?=$desc?></option>
                        <?php } ?>                    
                    </select>
                    <p class="description"><?=__('Indique el estado de pedido enviado.', 'woocommerce-gls-envios')?></p>
                </div>                
                <div class="gls-input">
                    <div class="checkbox">
                        <label>
                            <input type="checkbox" name="<?=GLS_Settings::$prefix?>order_state_sended_enabled" id="<?=GLS_Settings::$prefix?>order_state_sended_enabled" value="1" <?=((int)get_option(GLS_Settings::$prefix . 'order_state_sended_enabled') == 1 ? 'checked="checked"' : '')?>>
                            <?=__('Habilitar cambio de estado', 'woocommerce-gls-envios');?>
                        </label>
                    </div>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>order_state_delivered"><?=__('Entregado', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <select name="<?=GLS_Settings::$prefix?>order_state_delivered" id="<?=GLS_Settings::$prefix?>order_state_delivered" class="fixed-width-xl">
                        <option value="0" selected="selected">-</option>
                        <?php foreach (GLS_Settings::getOptions('order_statuses') as $value => $desc ) { ?>
                            <option value="<?=$value?>" <?=(get_option(GLS_Settings::$prefix . 'order_state_delivered') == $value ? 'selected="selected"' : '')?>><?=$desc?></option>
                        <?php } ?>                    
                    </select>
                    <p class="description"><?=__('Indique el estado de pedido entregado.', 'woocommerce-gls-envios')?></p>
                </div>                
                <div class="gls-input">
                    <div class="checkbox">
                        <label>
                            <input type="checkbox" name="<?=GLS_Settings::$prefix?>order_state_delivered_enabled" id="<?=GLS_Settings::$prefix?>order_state_delivered_enabled" value="1" <?=((int)get_option(GLS_Settings::$prefix . 'order_state_delivered_enabled') == 1 ? 'checked="checked"' : '')?>>
                            <?=__('Habilitar cambio de estado', 'woocommerce-gls-envios');?>
                        </label>
                    </div>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>order_state_in_transit"><?=__('En tránsito', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <select name="<?=GLS_Settings::$prefix?>order_state_in_transit" id="<?=GLS_Settings::$prefix?>order_state_in_transit" class="fixed-width-xl">
                        <option value="0" selected="selected">-</option>
                        <?php foreach (GLS_Settings::getOptions('order_statuses') as $value => $desc ) { ?>
                            <option value="<?=$value?>" <?=(get_option(GLS_Settings::$prefix . 'order_state_in_transit') == $value ? 'selected="selected"' : '')?>><?=$desc?></option>
                        <?php } ?>                    
                    </select>
                    <p class="description"><?=__('Indique el estado de pedido en tránsito.', 'woocommerce-gls-envios')?></p>
                </div>            
                <div class="gls-input">
                    <div class="checkbox">
                        <label>
                            <input type="checkbox" name="<?=GLS_Settings::$prefix?>order_state_in_transit_enabled" id="<?=GLS_Settings::$prefix?>order_state_in_transit_enabled" value="1" <?=((int)get_option(GLS_Settings::$prefix . 'order_state_in_transit_enabled') == 1 ? 'checked="checked"' : '')?>>
                            <?=__('Habilitar cambio de estado', 'woocommerce-gls-envios');?>
                        </label>
                    </div>
                </div>
            </div>
        </fieldset>
		<fieldset>
            <h2><?=__('Seguimiento de envío')?></h2>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>gls_tracking_note"><?=__('Notificación al cliente', 'woocommerce-gls-envios')?>:</label>               
                <div class="gls-input">
                    <div class="checkbox">
                        <label>
                            <input type="checkbox" name="<?=GLS_Settings::$prefix?>gls_tracking_note" id="<?=GLS_Settings::$prefix?>gls_tracking_note" value="yes" <?=(get_option(GLS_Settings::$prefix . 'gls_tracking_note') == 'yes' ? 'checked="checked"' : '')?>>
                            <?=__('Activar envío de email', 'woocommerce-gls-envios');?>
                        </label>
                    </div>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>gls_tracking_note_txt"><?=__('Texto de la notificación al cliente', 'woocommerce-gls-envios')?>:</label>               
                <div class="gls-input">
                    <?php $template = get_option(GLS_Settings::$prefix . 'gls_tracking_note_txt', __('Seguimiento de envío: {tracking-link}', 'woocommerce-gls-envios')); ?>
                    <textarea rows="7" name="<?=GLS_Settings::$prefix?>gls_tracking_note_txt" class="regular-text"><?=str_replace('\"', '"', $template)?></textarea>
                </div>
            </div>
			 <div class="options_group">
                <label></label>               
                <div class="gls-input">
                    <p class="description"><?=__('Puede incluir el código de seguimiento en sus emails personalizados con el código {gls_tracking_note} ', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
        </fieldset>
        <fieldset>
            <h2><?=__('Impresión', 'woocommerce-gls-envios')?></h2>
			<div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>tipo_etiqueta"><?=__('Tipo de etiqueta', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
					<select name="<?=GLS_Settings::$prefix?>tipo_etiqueta" id="<?=GLS_Settings::$prefix?>tipo_etiqueta" class="fixed-width-xl">
                        <option value="PDF"<?=(get_option(GLS_Settings::$prefix . 'tipo_etiqueta') == 'PDF' ? ' selected="selected"' : '')?>>PDF</option>
                        <option value="EPL"<?=(get_option(GLS_Settings::$prefix . 'tipo_etiqueta') == 'EPL' ? ' selected="selected"' : '')?>>EPL</option>                 
                    </select>
                </div>
            </div>
            <div class="options_group">
                <label for="<?=GLS_Settings::$prefix?>apli4"><?=__('Impresión de etiquetas mútiples en Apli4', 'woocommerce-gls-envios')?>:</label>
                <div class="gls-input">
                    <input type="checkbox" name="<?=GLS_Settings::$prefix?>apli4" id="<?=GLS_Settings::$prefix?>apli4" value="1" <?=((int)get_option(GLS_Settings::$prefix . 'apli4') == 1 ? 'checked="checked"' : '')?>>
                    <p class="description"><?=__('Al seleccionar varios envíos en el listado de envíos GLS y Generar etiquetas se generarán para Apli4.', 'woocommerce-gls-envios')?></p>
                </div>
            </div>
        </fieldset>
        <div style="clear:both"></div>
        <?php wp_nonce_field( GLS_Settings::$form_submitted, GLS_Settings::$hidden_submit );?>
        <?php submit_button();?>
    </form>
</div>
