<p>Puede <strong>cambiar los bultos por expedición, el departamento origen, el valor asegurado y los parámetros Retorno y RCS</strong> en el mismo momento de generar la etiqueta; <strong>Indique los valores para este pedido</strong> en los campos correspondientes.</p>
<p>Si desea emplear la <strong>configuración que ha predefinido</strong> en el módulo de GLS <strong>no modifique los campos.</strong></p>

<?php if ($openCarrier): ?>
 <label for="gls_service"><?=__('Servicio GLS', 'woocommerce-gls-envios')?></label>
<select name="gls_service" id="gls_service">
	<option value=""></option>
<?php
foreach ($validServices as $tag => $vservice){
	if ($tag == 'parcelshopgls') continue;
	echo '<option value="'.$tag.'"'.(($method_id==$tag)?' selected':'').'>'.$vservice['name'].'</option>';
}
?>
</select>
<br>
<br>
<?php endif; ?>

<?php if ('eurobusinessparcel' == $method_id || 'shopdelint' == $method_id) { ?>
    <p><strong>Eurobusiness Parcel y Shop Delivery International</strong> sólo permite envíos <strong>monobulto, sin retorno, sin reembolso y sin RCS.</strong></p>
    <input type="hidden" id="gls_rcs" name="gls_rcs" value="" />
    <input type="hidden" id="gls_retorno" name="gls_retorno" value="" />
	
	<?php 
		$mulEbp = get_option('gls_mulebp');
		if (empty($mulEbp)){
	?>
    <input type="hidden" id="gls_bultos_user" name="gls_bultos_user" value="1">
    <?php } else { ?>
	<label for="gls_bultos_user">Bultos</label>
    <input type="number" id="gls_bultos_user" name="gls_bultos_user" value="1" >
    <?php }?>
	
    
	
	<input type="hidden" id="gls_valor_asegurado" name="gls_valor_asegurado" value="0" />

    <label for="gls_incoterm_user">Incoterm</label>
    <select id="gls_incoterm_user" name="gls_incoterm_user">
            <option value="0">-</option>
            <?php foreach (GLS_Settings::getOptions('incoterm') as $value => $desc ) { ?>
                <option value="<?=$value?>" <?=($glsValora->incoterm == $value ? 'selected="selected"' : '')?>><?=$desc?></option>
            <?php } ?>
    </select><br>
<?php } else { ?>
    <label for="gls_rcs"><?=__('RCS', 'woocommerce-gls-envios')?></label>
    <select id="gls_rcs" name="gls_rcs">
        <option value="0"<?=($glsValora->rcs == 'No') ? ' selected="selected"' : '' ?>><?=__('No', 'woocommerce-gls-envios')?></option>
        <option value="1"<?=($glsValora->rcs == 'Si') ? ' selected="selected"' : '' ?>><?=__('Si', 'woocommerce-gls-envios')?></option>
    </select>
    <label for="gls_retorno">Retorno</label>
    <select id="gls_retorno" name="gls_retorno">
        <?php foreach (GLS_Settings::getOptions('return') as $value => $desc ) { ?>
            <option value="<?=$value?>" <?=($glsValora->retorno == $value ? 'selected="selected"' : '')?>><?=$desc?></option>
        <?php } ?>
    </select>
    <label for="gls_bultos_user">Bultos</label>
    <input type="number" id="gls_bultos_user" name="gls_bultos_user" value="1" >
	<label for="gls_valor_asegurado">Valor asegurado</label>
    <input type="number" id="gls_valor_asegurado" name="gls_valor_asegurado" value="<?=$glsValora->valor_asegurado ?>" >
<?php } ?>
<label for="gls_departamento"><?=__('Dpto. origen', 'woocommerce-gls-envios')?></label>
<input type="text" id="gls_departamento" name="gls_departamento" value="<?=$glsValora->departamento?>" >
<div style="display:block;clear:both;"></div>
<textarea id="gls_observaciones" name="gls_observaciones" cols="120" rows="6" placeholder="<?=__('Observaciones de envío', 'woocommerce-gls-envios')?>"></textarea>
<div style="display:block;clear:both;"></div>
<a id="gentag" href="<?=wp_nonce_url(admin_url('admin-ajax.php?action=generate_gls_envio&template_type=etiqueta&order_id=' . $post_id), 'generate_gls_envio')?>" class="button print-preview-button2" target="_blank" alt="<?=__('Enviar y generar etiqueta', 'woocommerce-gls-envios')?>"><?=__('Generar etiqueta', 'woocommerce-gls-envios')?></a>
<input type="hidden" id="url_gentag" value="<?=wp_nonce_url(admin_url('admin-ajax.php?action=generate_gls_envio&template_type=etiqueta&order_id=' . $post_id), 'generate_gls_envio')?>">

<script type="text/javascript">
    jQuery('#gls_rcs').change(function(){
        updateGentagHref();
    });
    jQuery('#gls_retorno').change(function(){
        updateGentagHref();
    });
    jQuery('#gls_incoterm_user').change(function(){
        updateGentagHref();
    });
    jQuery('#gls_bultos_user').change(function(){
        updateGentagHref();
    });
    jQuery('#gls_valor_asegurado').change(function(){
        updateGentagHref();
    });
    jQuery('#gls_departamento').change(function(){
        updateGentagHref();
    });
    jQuery('#gls_observaciones').change(function(){
        updateGentagHref();
    });
<?php if ($openCarrier): ?>
    jQuery('#gls_service').change(function(){
        updateGentagHref();
    });
	function updateGentagHref(){
        jQuery('#gentag').attr('href',jQuery('#url_gentag').val()+'&gls_rcs='+jQuery('#gls_rcs').val()+'&gls_incoterm_user='+jQuery('#gls_incoterm_user').val()+'&gls_retorno='+jQuery('#gls_retorno').val()+'&gls_bultos_user='+jQuery('#gls_bultos_user').val()+'&gls_valor_asegurado='+jQuery('#gls_valor_asegurado').val()+'&gls_departamento='+jQuery('#gls_departamento').val()+'&gls_observaciones='+jQuery('#gls_observaciones').val()+'&gls_service='+jQuery('#gls_service').val());
    }
<?php else: ?>
    function updateGentagHref(){
        jQuery('#gentag').attr('href',jQuery('#url_gentag').val()+'&gls_rcs='+jQuery('#gls_rcs').val()+'&gls_incoterm_user='+jQuery('#gls_incoterm_user').val()+'&gls_retorno='+jQuery('#gls_retorno').val()+'&gls_bultos_user='+jQuery('#gls_bultos_user').val()+'&gls_valor_asegurado='+jQuery('#gls_valor_asegurado').val()+'&gls_departamento='+jQuery('#gls_departamento').val()+'&gls_observaciones='+jQuery('#gls_observaciones').val());
    }
<?php endif; ?>

    jQuery('#gentag').click(function(){
        jQuery('#woocommerce-gls-envios-box').hide();
        setTimeout(function(){ window.location.reload(true); }, 5000);
    });
</script>
