<?php $col = 0; ?>
<?php $count = 0; ?>
<?php $extrarange = array(); ?>
<?php 
	$weight_unit = get_option('woocommerce_weight_unit');
	$weight_unit = apply_filters('sod_wc_gls_weight_unit', $weight_unit);
	$aditional = '';
	switch ($weight_unit) {
		case "g":
			$aditional = '1000';
			break;
		case "lbs":
			$aditional = '2.2';
			break;
		case "oz":
			$aditional = '35.3';
			break;
		default:
			break;
	}
 ?>
<div class="ranges">
<?php do { ?>
    <div class="cost-cell cost-range-blocks">
        <?php 
		$base_country = get_option('woocommerce_default_country');			
		if(strlen($base_country)>2){
			$country_code = explode(":",$base_country)[0];
		} else {
			$country_code = $base_country;
		}
		$zoneObj = new WC_Shipping_Zone($zone_id);
		$zoneLocations = $zoneObj->get_zone_locations();
		$validServices = [];
		foreach ($zoneLocations as $zL){
			switch ($zL->type){
				case 'country':
					if ( $zL->code == 'ES' || $country_code == $zL->code){
						$validServices = array('gls10','gls14','gls24','buspar','economy','parcelshopgls');
					} elseif($country_code == 'ES' && $zL->code == 'PT') {
						$bpESPT = get_option('gls_bpespt');
						if (empty($bpESPT)){
							$validServices = array('economy','eurobusinessparcel','parcelshopgls');
						} else {
							$validServices = array('buspar','economy','eurobusinessparcel','parcelshopgls');
						}
					} else {
						$validServices = array('eurobusinessparcel');
					}
					$sdiCountries = get_option('gls_sdi_countries');
					if (!empty($sdiCountries) && is_array($sdiCountries)){
						if ($zL->code != 'ES' && in_array($zL->code, $sdiCountries)) {
							$validServices[] = 'shopdelint';
						}
					}
					
					break;
				case 'state':
					$splitCode = explode(':',$zL->code);
					if ( $splitCode[0] == 'ES' || $country_code == $splitCode[0]){
						$validServices = array('gls10','gls14','gls24','buspar','economy','parcelshopgls');
					} elseif($country_code == 'ES' && $splitCode[0] == 'PT') {
						$bpESPT = get_option('gls_bpespt');
						if (empty($bpESPT)){
							$validServices = array('economy','eurobusinessparcel','parcelshopgls');
						} else {
							$validServices = array('buspar','economy','eurobusinessparcel','parcelshopgls');
						}
					} else {
						$validServices = array('eurobusinessparcel');
					}
					
					$sdiCountries = get_option('gls_sdi_countries');
					if (!empty($sdiCountries) && is_array($sdiCountries)){
						if ($splitCode[0] != 'ES' && in_array($splitCode[0], $sdiCountries)) {
							$validServices[] = 'shopdelint';
						}
					}
					
					break;
			}
		}
		$hasRange = false;
		$prevMin = null;
		$prevMax = null;
		foreach ($services as $k => $service) { ?>
            <?php if (isset($ranges[$zone_id][$k][$type][$col])) { ?>
                <?php 
					if (!in_array($k,$validServices)){
								continue;
						}

				?>
                <?php 
					$range = $ranges[$zone_id][$k][$type][$col]; 
					$extrarange[$k] = $range;
					$rtype = ( $type == 0 )? 1 : 0 ;
					$hasRange = true;
					$prevMin = $range['min'];
					$prevMax = $range['max'];
				?>
                <div class="cost-range-block">
                    <span class="cost-range-interval"><?=$range['min'];?> - <?=$range['max'];?> <?php if ($type == 0) { echo '€'; } else { echo $weight_unit; }?></span>
                    <input type="text" step="0.01" <?php if ($range['enabled'] == 0 || (isset($checked[$zone_id][$k][$rtype]) && (int)$checked[$zone_id][$k][$rtype] == 1 )) { echo 'disabled="disabled"'; }?> value="<?=$range['cost'];?>" class="cost-input cost-input-<?=$zone_id;?>-<?=$k;?>-<?=$type;?>" data-zone="<?=$zone_id;?>" data-service="<?=$k;?>" data-type="<?=$type;?>" data-min="<?=$range['min'];?>" data-max="<?=$range['max'];?>"> €
                </div>
            <?php } else if(!empty($prevMin)){ ?>
				
				<div class="cost-range-block">
                    <span class="cost-range-interval"><?=$prevMin;?> - <?=$prevMax;?> <?php if ($type == 0) { echo '€'; } else { echo $weight_unit; }?></span>
                    <input type="text" step="0.01" disabled="disabled" value="0.00" class="cost-input cost-input-<?=$zone_id;?>-<?=$k;?>-<?=$type;?>" data-zone="<?=$zone_id;?>" data-service="<?=$k;?>" data-type="<?=$type;?>" data-min="<?=$prevMin;?>" data-max="<?=$prevMax;?>"> €
                </div>
				
			<?php } ?>
        <?php } $col++; ?>
        <?php 
		
		if ($hasRange) { ?>
        <div class="cost-range-block" style="text-align:center">
            <a href="#" class="gls_range_del dashicons dashicons-trash" data-zone="<?=$zone_id;?>" data-type="<?=$type;?>" data-min="<?=$range['min'];?>" data-max="<?=$range['max'];?>"><?=__('eliminar rango', 'woocommerce-gls-envios')?></a>
        </div>
        <?php $count++; ?>
        <?php } ?>
    </div>
<?php } while (!isset($service) || isset($ranges[$zone_id]['gls10'][$type][$col])); ?>


<?php
 if ( $count > 0 && $type == 1 ): ?>
	 <div class="cost-cell cost-range-blocks">
        <?php 
		$base_country = get_option('woocommerce_default_country');			
		if(strlen($base_country)>2){
			$country_code = explode(":",$base_country)[0];
		} else {
			$country_code = $base_country;
		}
		$zoneObj = new WC_Shipping_Zone($zone_id);
		$zoneLocations = $zoneObj->get_zone_locations();
		$validServices = [];
		foreach ($zoneLocations as $zL){
			switch ($zL->type){
				case 'country':
					if ( $zL->code == 'ES' || $country_code == $zL->code){
						$validServices = array('gls10','gls14','gls24','buspar','economy','parcelshopgls');
					} elseif($country_code == 'ES' && $zL->code == 'PT') {
						$bpESPT = get_option('gls_bpespt');
						if (empty($bpESPT)){
							$validServices = array('economy','eurobusinessparcel','parcelshopgls');
						} else {
							$validServices = array('buspar','economy','eurobusinessparcel','parcelshopgls');
						}
					} else {
						$validServices = array('eurobusinessparcel');
					}
					break;
				case 'state':
					$splitCode = explode(':',$zL->code);
					if ( $splitCode[0] == 'ES' || $country_code == $splitCode[0]){
						$validServices = array('gls10','gls14','gls24','buspar','economy','parcelshopgls');
					} elseif($country_code == 'ES' && $splitCode[0] == 'PT') {
						$bpESPT = get_option('gls_bpespt');
						if (empty($bpESPT)){
							$validServices = array('economy','eurobusinessparcel','parcelshopgls');
						} else {
							$validServices = array('buspar','economy','eurobusinessparcel','parcelshopgls');
						}
					} else {
						$validServices = array('eurobusinessparcel');
					}
					break;
			}
		}
		
		
		foreach ($services as $k => $service) { ?>
                <?php 
					if (!in_array($k,$validServices)){
								continue;
						}

				?>
                <?php  
					$rtype = ( $type == 0 )? 1 : 0 ;
				?>
                <div class="cost-range-block">
                    <span class="cost-range-interval"><?php echo $aditional. ' ' .$weight_unit ?> adicional</span>
                    <input type="text" step="0.01" <?php if ($extrarange[$k]['enabled'] == 0 || (isset($checked[$zone_id][$k][$rtype]) && (int)$checked[$zone_id][$k][$rtype] == 1 )) { echo 'disabled="disabled"'; }?>  value="<?=$extrarange[$k]['extra'];?>" class="cost-input cost-input-<?=$zone_id;?>-<?=$k;?>-<?=$type;?>" data-zone="<?=$zone_id;?>" data-service="<?=$k;?>" data-type="<?=$type;?>" data-min="<?=$extrarange[$k]['min'];?>" data-max="<?=$extrarange[$k]['max'];?>" data-extra="true"> €
                </div>
        <?php } $col++; ?>

    </div>
<?php endif;?>
</div>