<div class="cost-table">
    <div class="cost-row">
        <div class="cost-cell cell-20">
			<?php 
			//echo "<pre>".print_r($zone,1)."</pre>";
				$weight_unit = get_option('woocommerce_weight_unit');
				$weight_unit = apply_filters('sod_wc_gls_weight_unit', $weight_unit);
				
				$base_country = get_option('woocommerce_default_country');			
				if(strlen($base_country)>2){
					$country_code = explode(":",$base_country)[0];
				} else {
					$country_code = $base_country;
				}
				
				if (!empty($zone_id) && !empty($zone)){
					if ($zone instanceof WC_Shipping_Zone) {
						$zoneObj = $zone;
					} else {	
						$zoneObj = new WC_Shipping_Zone($zone);
					}
					$zone_id = $zoneObj->get_id();
				} else {
					if (empty($zone_id)){
						if ($zone instanceof WC_Shipping_Zone) {
							$zoneObj = $zone;
						} else {	
							$zoneObj = new WC_Shipping_Zone($zone);
						}
						$zone_id = $zoneObj->get_id();
					} else {
						$zoneObj = new WC_Shipping_Zone($zone_id);
					}
				}
				$zoneLocations = $zoneObj->get_zone_locations();
				$validServices = [];
				//echo "<pre>".print_r($zone_id,1)."</pre>";
				//echo "<pre>".print_r($zone,1)."</pre>";
				//echo "<pre>".print_r($zoneObj,1)."</pre>";
				//echo "<pre>".print_r($zoneLocations,1)."</pre>";
				foreach ($zoneLocations as $zL){
					switch ($zL->type){
						case 'country':
							if ( $zL->code == 'ES' || $country_code == $zL->code){
								$validServices = array('gls10','gls14','gls24','buspar','economy','parcelshopgls');
							} elseif($country_code == 'ES' && $zL->code == 'PT') {
								$bpESPT = get_option('gls_bpespt');
								if (empty($bpESPT)){
									$validServices = array('economy','eurobusinessparcel','parcelshopgls');
								} else {
									$validServices = array('buspar','economy','eurobusinessparcel','parcelshopgls');
								}
							} else {
								$validServices = array('eurobusinessparcel');
							}
							
							$sdiCountries = get_option('gls_sdi_countries');
							if (!empty($sdiCountries) && is_array($sdiCountries)){
								if ($zL->code != 'ES' && in_array($zL->code, $sdiCountries)) {
									$validServices[] = 'shopdelint';
								}
							}
							
							break;
						case 'state':
							$splitCode = explode(':',$zL->code);
							if ( $splitCode[0] == 'ES' || $country_code == $splitCode[0]){
								$validServices = array('gls10','gls14','gls24','buspar','economy','parcelshopgls');
							} elseif($country_code == 'ES' && $splitCode[0] == 'PT') {
								$bpESPT = get_option('gls_bpespt');
								if (empty($bpESPT)){
									$validServices = array('economy','eurobusinessparcel','parcelshopgls');
								} else {
									$validServices = array('buspar','economy','eurobusinessparcel','parcelshopgls');
								}
							} else {
								$validServices = array('eurobusinessparcel');
							}
							
							$sdiCountries = get_option('gls_sdi_countries');
							if (!empty($sdiCountries) && is_array($sdiCountries)){
								if ($splitCode[0] != 'ES' && in_array($splitCode[0], $sdiCountries)) {
									$validServices[] = 'shopdelint';
								}
							}
							
							break;
					}
				}

			?>
            <h3><?=(is_callable(array($zone,'get_zone_name')))?$zone->get_zone_name():$zone->zone_name?></h3>
        </div>
        <div class="cost-cell">
            <a class="cost-range-label label-amount" data-type="0"><?=__('Por rangos de precio', 'woocommerce-gls-envios');?> (€)  <small><?=((int)get_option('gls_envios_options')[GLS_Settings::$prefix . 'total_taxes'] == 1 ? __('Impuestos incluidos', 'woocommerce-gls-envios') : __('Sin impuestos', 'woocommerce-gls-envios'))?></small></a>
            <a class="cost-range-label label-weight disabled" data-type="1"><?=__('Por rangos de peso', 'woocommerce-gls-envios');?> (<?php echo $weight_unit ?>)</a>
        </div>
    </div>

    <div class="cost-row">
        <div class="cost-cell cell-20">
            <div class="gls_logo"><img src="<?=$uri?>images/logo-gls.png"></div>
            <?=__('Servicios GLS', 'woocommerce-gls-envios')?>    
        </div>
        <div class="cost-cell">
            <div class="input-group gls_amount_block">
                <div class="input-group-icon">>=</div>
                <div class="input-group-area">
					<input type="text" step="0.01" class="gls_range_min"></div>
                <div class="input-group-icon"><</div>
                <div class="input-group-area">
					<input type="text" step="0.01" class="gls_range_max"></div>
                <div class="input-group-icon"> € </div>
                <div class="input-group-icon">
                    <button type="button" class="gls_range_add" data-type="0" data-zone="<?=$zone_id;?>">+</button>
                </div>
            </div>
            <div class="input-group gls_weight_block">
                <div class="input-group-icon">>=</div>
                <div class="input-group-area">
					<input type="text" step="0.01" class="gls_range_min"></div>
                <div class="input-group-icon"><</div>
                <div class="input-group-area">
					<input type="text" step="0.01" class="gls_range_max"></div>
                <div class="input-group-icon"> <?php echo $weight_unit ?> </div>
                <div class="input-group-icon">
                    <button type="button" class="gls_range_add" data-type="1" data-zone="<?=$zone_id;?>">+</button>
                </div>
            </div>
        </div>
    </div>

        <div class="cost-row gls_amount_block" id="zone-range-<?=$zone_id;?>-0">
            <?php $type = 0; ?><!-- amount -->
			<div class="cost-cell cost-range-blocks">
                <?php foreach ($services as $k => $service) { 
						if (!in_array($k,$validServices)){
								continue;
						}
				?>
                <span class="cost-service-block">
                    <input type="checkbox" class="gls_check gls-<?=$zone_id;?>-<?=$k;?>-0" data-type="0" data-zone="<?=$zone_id;?>" data-service="<?=$k;?>" name="gls[<?=$zone_id;?>][<?=$k;?>][0]" title="<?=__('Habilitar en la zona', 'woocommerce-gls-envios');?>" <?php if(isset($checked[$zone_id][$k][0]) && (int)$checked[$zone_id][$k][0] == 1) {?>checked="checked"<?php } ?> <?php if(isset($checked[$zone_id][$k][1]) && (int)$checked[$zone_id][$k][1] == 1) {?>disabled="disabled"<?php } ?>>
                    <a class="cost-service-title" title="<?=__('costes de envío', 'woocommerce-gls-envios');?>">
                        <?=$service['name'];?>
                    </a>
                </span>
                <?php } ?>
            </div>
            <?php include ('services-cost-ranges.php'); ?>
        </div>
        <div class="cost-row gls_weight_block" id="zone-range-<?=$zone_id;?>-1" style="display:none">
            <?php $type = 1; ?><!-- weight -->
			<div class="cost-cell cost-range-blocks">
                <?php foreach ($services as $k => $service) { 
						if (!in_array($k,$validServices)){
								continue;
						}
				?>
                <span class="cost-service-block">
                    <input type="checkbox" class="gls_check gls-<?=$zone_id;?>-<?=$k;?>-1" data-type="1" data-zone="<?=$zone_id;?>" data-service="<?=$k;?>" name="gls[<?=$zone_id;?>][<?=$k;?>][1]" title="<?=__('Habilitar en la zona', 'woocommerce-gls-envios');?>" <?php if(isset($checked[$zone_id][$k][1]) && (int)$checked[$zone_id][$k][1] == 1) {?>checked="checked"<?php } ?> <?php if(isset($checked[$zone_id][$k][0]) && (int)$checked[$zone_id][$k][0] == 1) {?>disabled="disabled"<?php } ?>>
                    <a class="cost-service-title" title="<?=__('costes de envío', 'woocommerce-gls-envios');?>">
                        <?=$service['name'];?>
                    </a>
                </span>
                <?php } ?>
            </div>
            <?php include ('services-cost-ranges.php'); ?>
        </div>
</div>
